curl --location 'https://app.govly.com/api/v3/opportunity_workspaces/822609' \
--header 'X-API-KEY: your-api-key'
{
"id": "822609",
"displayName": "Govly Workspace",
"stage": "Quoted",
"activities": [
{
"createdAt": "2023-05-31T18:50:40.563512Z",
"id": "313488",
"message": "nick@govly.com posted a new comment"
}
],
"comments": [
{
"author": "nick@govly.com",
"body": "This is a workspace comment.",
"createdAt": "2023-05-31T18:50:40.529547Z",
"id": "67088"
}
],
"follows": [
{
"follower": {
"id": 986,
"email": "nick@govly.com"
},
"state": "following"
}
]
}
Workspaces
Get Workspace
Retrieve a specific opportunity workspace by ID
GET
/
api
/
v3
/
opportunity_workspaces
/
{id}
curl --location 'https://app.govly.com/api/v3/opportunity_workspaces/822609' \
--header 'X-API-KEY: your-api-key'
{
"id": "822609",
"displayName": "Govly Workspace",
"stage": "Quoted",
"activities": [
{
"createdAt": "2023-05-31T18:50:40.563512Z",
"id": "313488",
"message": "nick@govly.com posted a new comment"
}
],
"comments": [
{
"author": "nick@govly.com",
"body": "This is a workspace comment.",
"createdAt": "2023-05-31T18:50:40.529547Z",
"id": "67088"
}
],
"follows": [
{
"follower": {
"id": 986,
"email": "nick@govly.com"
},
"state": "following"
}
]
}
Get Workspace
Path Parameters
The ID of the workspace to retrieve. This can be found in the workspace URL.
For example, given the URL
https://www.govly.com/app/opportunities/8180377/workspaces/822609, the ID would be 822609.Response
Example Request
curl --location 'https://app.govly.com/api/v3/opportunity_workspaces/822609' \
--header 'X-API-KEY: your-api-key'
curl --location 'https://app.govly.com/api/v3/opportunity_workspaces/822609' \
--header 'X-API-KEY: your-api-key'
{
"id": "822609",
"displayName": "Govly Workspace",
"stage": "Quoted",
"activities": [
{
"createdAt": "2023-05-31T18:50:40.563512Z",
"id": "313488",
"message": "nick@govly.com posted a new comment"
}
],
"comments": [
{
"author": "nick@govly.com",
"body": "This is a workspace comment.",
"createdAt": "2023-05-31T18:50:40.529547Z",
"id": "67088"
}
],
"follows": [
{
"follower": {
"id": 986,
"email": "nick@govly.com"
},
"state": "following"
}
]
}
Was this page helpful?